define('jls/jsunit/TestFailure', ['jls/lang/Class'], function (Class) {

var TestFailure;
TestFailure = Class.create(
{
    initialize : function(failedTest, thrownException) {
        this._failedTest = failedTest;
        this._thrownException = thrownException;
    },
    failedTest : function() {
        return this._failedTest;
    },
    thrownException : function() {
        return this._thrownException;
    }
});


return TestFailure;
});
